function buildNumber() {
    var bn = settings.build,
        m = /build\.(\d+)/.exec(bn);
    if( m ){
        return m[1];
    }
    return bn;
}

$(function(){
    initialiseWindow({
        close:function(){aboutWindow.hide(); }
    });

	$('button').button();


//    $("#updateCheck").click(updateLatestVersion);
//    $("#updateInstall").click(startUpdateApplication);
    $('#update').click(function(){
        aboutWindow.hide();
        updateWindow.show();
    });
    $('#checkNow').click(checkNow);

    $('.currentVersion').html(updater.getApplicationVersion().versionText);
    $('.build').html(buildNumber());
    displayUpdateAvailable();
    displayLastUpdateCheck();

    $('.airVersion').html(air.Capabilities.version);

    networkMonitor.up("about.html",function(){$('.network').html("Connected");});
    networkMonitor.down("about.html",function(){$('.network').html('Not connected');});

    $('.dataSource').html(settings.rootDataUrl);

    setupLanguage(getELSParam("moLanguage"), function() {
        setLabelText();
    });
});

function setLabelText() {
//	 $("#title").html(labels.update.header);
//	 $("#updateCurrentVersionLabel").html(labels.update.current);
//	 $("#updateAvailableVersionLabel").html(labels.update.available);
//	 $("#updateReleaseNotesLabel").html(labels.update.releaseNote);
//	 $("#updateProgressLabel").html("");
//	 $("#updateCheck").html(labels.update.check);
//	 $("#updateInstall").html(labels.update.install);
//	 $("#aboutClose").html(labels.update.cancel);
}

function checkNow(){
    if( networkMonitor.available()){
        var $checkNow = $('#checkNow').remove();
        var $loader = $('<img src="/lib/images/ajaxLoaderSmall.gif" width="16" height="16"/>')
                        .css({ position: 'absolute', left:0})
                        .appendTo('#checkNowParent');
        function putBackCheckNow(){
            $checkNow.hide().appendTo('#checkNowParent').click(checkNow);
            $loader.remove();
            $checkNow.fadeIn();
        }
        $('#is-upto-date').fadeOut();
        startupWindow().checkForUpdates({
            force:true,
            success:function(){
                displayUpdateAvailable();
                if( !updater.updateAvailable()){
                    $('#is-upto-date').fadeIn();
                }
                displayLastUpdateCheck();
                putBackCheckNow();
            },
            error: function(msg){
                putBackCheckNow();
                alert(msg);
            }
        });
    }
}

function displayUpdateAvailable(){
    if( updater.updateAvailable()){
        $('#update').html(updater.latestUpdate.version.versionText + " is available").fadeIn();
    }else{
        $('#update').hide();
    }
    $('#is-upto-date').hide();
}

function displayLastUpdateCheck(){
    if( localOptions.date('lastUpdateCheck')){
        $('.lastUpdateCheck').html(metoffice.utility.dateFormat(localOptions.date('lastUpdateCheck')));
    }else{
        $('.lastUpdateCheck').html('Never');
    }
}
